NAME
	operator - support routine for using binary operators in functions.

SYNOPSYS
	function operator(BINOP)

DESCRIPTION
	This is a support routine for using binary operators (such as +, -
	<, >, [] etc) in a function pointer. This is especially useful for
	making filter functions. For more details, see "man functions". 

EXAMPLE
	#define FILTER_GENDER(x, g) \
	    filter((x), &operator(==)(g) @ &->query_gender())

SEE ALSO
	functions
